########################################################################
# autobuild.sh
#
# Shell function definition for buildFW using functions defined therein
# to configure and launch the build for scitokens_cpp.
#
# Adapted from autobuild.sh.template provided by ssibuildshims v2_16_03.
########################################################################

function build_scitokens_cpp() { # *C*
  # Allow buildFW to work out how to obtain source and (possibly) binary
  # distributions.
  prep_build scitokens_cpp ${1} ${2} || return 0 #
  # Ensure that the arguments provided here are what build_scitokens_cpp.sh expects.
  ./build_scitokens_cpp.sh ${product_topdir} ${2} ${maketar} >& "${logfile}"
}

# Local Variables:
# mode: sh
# eval: (sh-set-shell "bash")
# End:
